
QGIS Application - Bug report #511

Fix for problem with loading SHP files on Windows

2007-01-04 04:22 PM - rburns-prodigy-net-mx -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10570

Description

The current windows build of qgis 0.8.0 (from the download site) crashes when opening shapefiles. (I tested with shapefiles from the

Alaska sample data, as well as personal files that worked ok under the Windows version of qgis 0.8.0 Preview-2.)

I have a Windows XP (SP2) system running with an Athlon 1.0 GHz processor w/ 768 MB of RAM.  I have [[PostgresSQL]] 8.2 installed,

as well as the corresponding [[PostGIS]] files downloaded from the [[PostGIS]] site.  I also have GRASS version 6.0.0 installed under

Cygwin (this posed no problem for Preview-2).

The md5 check code for the downloaded qgis 0.8.0 Windows binary file matched the code posted on the qgis download website, but an

AVG virus scan during the install flagged the qgis grass bin file r.out.mpeg.exe as a possible virus (hidden extension .exe).

I uninstalled the new Windows 0.8.0 program (using the Windows add-remove programs facility) and re-installed the Preview-2 files.  The

test files now loaded ok.

Please advise.

History

#1 - 2007-01-08 11:23 PM - anonymous -

Replying to rburns@prodigy.net.mx:

The current windows build of qgis 0.8.0 (from the download site) crashes when opening shapefiles. (I tested with shapefiles from the Alaska sample

data, as well as personal files that worked ok under the Windows version of qgis 0.8.0 Preview-2.)

I have a Windows XP (SP2) system running with an Athlon 1.0 GHz processor w/ 768 MB of RAM.  I have [[PostgresSQL]] 8.2 installed, as well as

the corresponding [[PostGIS]] files downloaded from the [[PostGIS]] site.  I also have GRASS version 6.0.0 installed under Cygwin (this posed no

problem for Preview-2).

The md5 check code for the downloaded qgis 0.8.0 Windows binary file matched the code posted on the qgis download website, but an AVG virus

scan during the install flagged the qgis grass bin file r.out.mpeg.exe as a possible virus (hidden extension .exe).

I uninstalled the new Windows 0.8.0 program (using the Windows add-remove programs facility) and re-installed the Preview-2 files.  The test files

now loaded ok.

Please advise.

It also crashes by opening MIF mid, but the old projects opens with all the datas (shp or mif mid layers) but also crashes if you want to add a layer.
#2 - 2007-01-09 12:07 AM - guy-duplaa-onf-fr -

Replying to [comment:1 anonymous]:

Replying to rburns@prodigy.net.mx:

The current windows build of qgis 0.8.0 (from the download site) crashes when opening shapefiles. (I tested with shapefiles from the Alaska

sample data, as well as personal files that worked ok under the Windows version of qgis 0.8.0 Preview-2.)

I have a Windows XP (SP2) system running with an Athlon 1.0 GHz processor w/ 768 MB of RAM.  I have [[PostgresSQL]] 8.2 installed, as well as

the corresponding [[PostGIS]] files downloaded from the [[PostGIS]] site.  I also have GRASS version 6.0.0 installed under Cygwin (this posed no

problem for Preview-2).

The md5 check code for the downloaded qgis 0.8.0 Windows binary file matched the code posted on the qgis download website, but an AVG virus

scan during the install flagged the qgis grass bin file r.out.mpeg.exe as a possible virus (hidden extension .exe).

I uninstalled the new Windows 0.8.0 program (using the Windows add-remove programs facility) and re-installed the Preview-2 files.  The test files

now loaded ok.

Please advise.

It also crashes by opening MIF mid, but the old projects opens with all the datas (shp or mif mid layers) but also crashes if you want to add a layer.

And also with rasters (GeoTiff), so this version can't be used ...

#3 - 2007-01-09 09:11 PM - Gary Sherman

For me, this version does not exhibit these problems. Is it possible you have conflicting DLLs from a previous version in your path? Remove all previous

versions of qgis and then reinstall 0.8 and test again.

#4 - 2007-01-09 11:27 PM - guy-duplaa-onf-fr -

Replying to [comment:3 gsherman]:

For me, this version does not exhibit these problems. Is it possible you have conflicting DLLs from a previous version in your path? Remove all

previous versions of qgis and then reinstall 0.8 and test again.

You get it !!!

With qgis 0.8 preview 2, you could open 0.8 and 0.7 easily.

I removed 0.8 but it was still crashing.

I removed also 0.704 (even almost all the entries founded with regedit of the 0.8), install 0.8 (the same files that were crashing and it runs perfectly well in

shp, mif mid, geotiff. So, for me, it's ok now, thanks.

#5 - 2007-01-10 09:33 AM - caye -

I installed 0.8.0 for the first time on a new notebook, it worked great initially but now it crashes immediately when adding any vector or raster data. Any

suggestions what I can do about it? Thanks!
#6 - 2007-01-10 11:12 PM - anonymous -

Replying to [comment:5 caye]:

I installed 0.8.0 for the first time on a new notebook, it worked great initially but now it crashes immediately when adding any vector or raster data.

Any suggestions what I can do about it? Thanks!

Hi,

as Gary said, it is a dll conflict (of course if you are under windows XP !!!). Did you install any program just before qgis crashes ? If so, this program is in

conflict. I'm gonna try on a notebook  with xp pro in a couple of hours (and on my mac this wwek end).

#7 - 2007-01-11 01:00 AM - guy-duplaa-onf-fr -

Replying to [comment:5 caye]:

I installed 0.8.0 for the first time on a new notebook, it worked great initially but now it crashes immediately when adding any vector or raster data.

Any suggestions what I can do about it? Thanks!

As said previously, i have removed 08 preview 2 on a dell latitude celeron 1.73 ghz 504 Mo Ram Xp pro SP2 and install 0.8.0 : no problem. Then restart the

computer and try again import shp, geotiff: fast and no problem ....

#8 - 2007-01-11 07:55 AM - caye -

no luck yet unfortunately ... I am working on a new 1.6 Ghz dual XP and no previous installs of qgis. Removing/reinstalling/restarting doesn't help in my

case. I installed other software after 0.8.0. Does any of you know which dll causes the conflict and can I remove it manually? thanks again.

#9 - 2007-01-11 04:50 PM - rburns-prodigy-net-mx -

Thanks to useful comments by Guy and others, I was able to troubleshoot the installation of the current windows build of qgis 0.8.0:

(1) Uninstall [[QuantumGIS]] using the Windows Add-Remove Programs facility from the Control Panel (you may have to manually erase other preview

versions of QGIS from the directory where you installed them), then reboot.

(2) Search your hard disk drive for the file qgis.db and erase it and its parent directory \\.qgis\\. (I had two db files - one at c:\\ and another at c:\\Documents

and Settings\\<username>\\ -- note the dot in the directory name).

(3) Open c:\\Windows\

egedit.exe, backup the registry (using File -> Export [this may take a few minutes]), then erase the entries for [[QuantumGIS]] and/or other QGIS installs

from the software sections of HKEY_CURRENT_USER and HKEY_LOCAL_MACHINE.

(4) Close regedit then reboot.

(5) Download the windows qgis-0.8.0_setup.exe file to your hard drive. Check the md5 codes of the download and scan the file for viruses.

(6) Temporarily disable your antivirus scanner, then run the qgis-0.8.0.exe file to install [[QuantumGIS]] (I chose not to install the sample data this time,

since I had previously copied the data files to another directory).

(7) Re-enable your antivirus scanner and all should be well.
Summary: I didn´t find any dll conflicts, the main problem was garbage in the registry and directory tree from previous installs.

Hope This Helps

#10 - 2007-01-11 07:39 PM - anonymous -

- Resolution set to worksforme

- Status changed from Open to Closed
